Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.collection
Class StringKeyedMapAdapter

    java.lang.Object
      org.springframework.binding.collection.StringKeyedMapAdapter

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  HttpServletContextMap, HttpServletRequestMap, HttpServletRequestParameterMap, HttpSessionMap, InitParameterMap, PortletContextMap, PortletRequestMap, PortletRequestParameterMap, PortletSessionMap, RequestPropertyMap

    public abstract class StringKeyedMapAdapter

extends java.lang.Object
implements java.util.Map

Base class for map adapters whose keys are String values. Concrete classes need only implement the abstract hook methods defined by this class.

Author:
  Keith Donald

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringKeyedMapAdapter()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`protected abstract java.lang.Object` | `getAttribute(java.lang.String key)` Hook method that needs to be implemented by concrete subclasses.
`protected abstract java.util.Iterator` | `getAttributeNames()` Hook method that needs to be implemented by concrete subclasses.
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object key)`
`protected abstract void` | `removeAttribute(java.lang.String key)` Hook method that needs to be implemented by concrete subclasses.
`protected abstract void` | `setAttribute(java.lang.String key, java.lang.Object value)` Hook method that needs to be implemented by concrete subclasses.
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### StringKeyedMapAdapter

    public StringKeyedMapAdapter()

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  Specified by:
    `putAll` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### getAttribute

    protected abstract java.lang.Object getAttribute(java.lang.String key)

  Hook method that needs to be implemented by concrete subclasses. Gets a value associated with a key.

  Parameters:
    `key` - the key to lookup
  Returns:
    the associated value, or null if none

### setAttribute

    protected abstract void setAttribute(java.lang.String key,
                                         java.lang.Object value)

  Hook method that needs to be implemented by concrete subclasses. Puts a key-value pair in the map, overwriting any possible earlier value associated with the same key.

  Parameters:
    `key` - the key to associate the value with
    `value` - the value to associate with the key

### removeAttribute

    protected abstract void removeAttribute(java.lang.String key)

  Hook method that needs to be implemented by concrete subclasses. Removes a key and its associated value from the map.

  Parameters:
    `key` - the key to remove

### getAttributeNames

    protected abstract java.util.Iterator getAttributeNames()

  Hook method that needs to be implemented by concrete subclasses. Returns an enumeration listing all keys known to the map.

  Returns:
    the key enumeration

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD